--- Fl_Scroll.cxx	2004-04-10 03:21:54.000000000 -0700
+++ Fl_Scroll.cxx.new	2004-04-10 03:21:28.000000000 -0700
@@ -50,6 +50,14 @@
   }
 }
 
+// HACK: Emulate drawing plastic louvered bg until we can figure out how to pan tiled image
+static void plastic_draw(int X, int Y, int W, int H, Fl_Color c, int voff) {
+  const char col[4] = { 50,49,50,51 };
+  for ( int y=Y; y<(Y+H); y++,voff++ ) {
+    fl_color(col[(voff+Y)%4]);
+    fl_xyline(X, y, (X+W));
+  }
+}
 void Fl_Scroll::draw_clip(void* v,int X, int Y, int W, int H) {
   fl_clip(X,Y,W,H);
   Fl_Scroll* s = (Fl_Scroll*)v;
@@ -69,10 +77,11 @@
     case _FL_PLASTIC_UP_FRAME :
     case _FL_PLASTIC_DOWN_FRAME :
         if (s->parent() == (Fl_Group *)s->window() && Fl::scheme_bg_) {
-	  Fl::scheme_bg_->draw(X-(X%Fl::scheme_bg_->w()),
-	                       Y-(Y%Fl::scheme_bg_->h()),
-	                       W+Fl::scheme_bg_->w(),
-			       H+Fl::scheme_bg_->h());
+	  // Fl::scheme_bg_->draw(X-(X%Fl::scheme_bg_->w()),
+	  //                      Y-(Y%Fl::scheme_bg_->h()),
+	  //                      W+Fl::scheme_bg_->w(),
+	  //		          H+Fl::scheme_bg_->h());
+	  plastic_draw(X,Y,W,H,s->color(),s->yposition_);
 	  break;
         } else if (s->box() == FL_NO_BOX) break;
 
